Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.startup
Class XmlErrorHandler

    java.lang.Object
      org.apache.catalina.startup.XmlErrorHandler

All Implemented Interfaces:
  ErrorHandler

    public class XmlErrorHandler

extends Object
implements ErrorHandler

Constructor Summary
`XmlErrorHandler()`

Method Summary
`void` | `error(SAXParseException exception)`
`void` | `fatalError(SAXParseException exception)`
`Set<SAXParseException>` | `getErrors()`
`Set<SAXParseException>` | `getWarnings()`
`void` | `logFindings(Log log, String source)`
`void` | `warning(SAXParseException exception)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlErrorHandler

    public XmlErrorHandler()

Method Detail

### error

    public void error(SAXParseException exception)
               throws SAXException

  Specified by:
    `error` in interface `ErrorHandler`
  Throws:
    `SAXException`

### fatalError

    public void fatalError(SAXParseException exception)
                    throws SAXException

  Specified by:
    `fatalError` in interface `ErrorHandler`
  Throws:
    `SAXException`

### warning

    public void warning(SAXParseException exception)
                 throws SAXException

  Specified by:
    `warning` in interface `ErrorHandler`
  Throws:
    `SAXException`

### getErrors

    public Set<SAXParseException> getErrors()

### getWarnings

    public Set<SAXParseException> getWarnings()

### logFindings

    public void logFindings(Log log,
                            String source)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.